Subject: FSMs

From: [email-masked] (Scott Barvick)
Date: Thu, 7 Apr 1994 12:51:29 -0400 (EDT)

Because the 6611 FSMs (up to the current release as far as I know) were
the intent of the RFC 1434 standard, I think the updates should be 
the basis for the new FSMs.  The additions are really clarifications
for completeness and are what we have implemented for interoperability
anyway.  This will also be important for ensuring completeness and
backwards compatibility for our work.

Scott
[email-masked]

> 
> --------------------------------------
> Date: 4/5/94 4:44 AM
> From: Steve Klein (254-5623)
> I have places an updated version of the 6611 implementation FSMs out
> on ibmstandards.cary.ibm.com.  The name of the file is
> /aiw/dlsw/connect/fsm-6611-01.txt and is available via anonymous ftp
> (ftp as user 'anonymous' and use your Internet address as the password).
> I added a 'Failure of associated TCP connection' event to the state
> tables.  This change was prompted by a question from Gnanaprakasam Pandian
> on what to do with a circuit when the TCP connection it is running over
> comes down.
> 
> Please look over these FSMs.  I didn't hear any protests at the AIW in
> February when I proposed that we use these FSMs as a basis for our
> standard work.  The new 'Failure of associated TCP connection' event will
> have to be changed to 'Failure of associated WAN connection'.  There was
> also some talk at the AIW about the DLC Events and DLC Actions as being
> to specific to Token Ring and the 6611 implementation.  I would like to
> here some proposals for more generic wording for the events and actions.
> 
> Give me you opinions, for or against, on using these FSMs as a base for
> our standard so I know who will be the active participants in the rest
> of our RIGlet work.
> 
> Steve
> 
> ------------------ RFC822 Header Follows ------------------
> Received: by sankatyhead with SMTP;5 Apr 1994 04:44:15 U
> Received: from ibmstandards.cary.ibm.com by lobster.wellfleet.com (4.1/SMI-4.1)
> 	id AA25137; Tue, 5 Apr 94 04:21:16 EDT
> Received: by ibmstandards.cary.ibm.com (5.61-AIX-1.2/1.0) from [192.239.48.4]
> with SMTP
> 	id AA189800; Mon, 4 Apr 94 23:09:39 -0400
> Message-Id: <[email-masked]>
> Received: from RALVM29 by VNET.IBM.COM (IBM VM SMTP V2R2) with BSMTP id 8031;
>    Mon, 04 Apr 94 16:07:41 EDT
> Date: Mon, 4 Apr 94 16:08:49 EDT
> From: "Steve Klein (254-5623)" <[email-masked]>
> To: [email-masked]
> Subject: Latest 6611 implementation FSMs
> 
> 
> 
> 
>